Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class ConfigurationException

Thrown when configuration data is invalid.

author:
  Chris Poirier

version:
  $Id: ConfigurationException.java 10601 2008-01-25 01:11:39Z blackdrag $

Field Summary
`Exception` | `cause`

Constructor Summary
`ConfigurationException(Exception cause)` Initializes the exception from a cause exception.
`ConfigurationException(String message)` Initializes the exception with just a message.

Method Summary
`Throwable` | `getCause()` Returns the causing exception, if available.
`boolean` | `isFatal()` Its always fatal.
`void` | `setFatal(boolean fatal)` Set fatal is just ignored.

Constructor Detail

### ConfigurationException

    public ConfigurationException(Exception cause)

  Initializes the exception from a cause exception.

### ConfigurationException

    public ConfigurationException(String message)

  Initializes the exception with just a message.

Method Detail

### getCause

    public Throwable getCause()

  Returns the causing exception, if available.

### isFatal

    public boolean isFatal()

  Its always fatal.

### setFatal

    public void setFatal(boolean fatal)

  Set fatal is just ignored.